#pragma once

class CTilePoint  
{
public:
	BOOL IsBlight();
	RGBQUAD viewcolor;
	int GetWaterLevel();
	int GetGroundLevel();
	BOOL IsUnderWater();
	bool selected;
	CTilePoint();
	virtual ~CTilePoint();

	int height; // ground height (low=0x0000, normal 0x2000)
	int waterlevel; // water level
	int flags;  // ground flags (water, shadow,...)
	unsigned char groundtype; // ground type (grass, rocks,...)
	unsigned char details;  // ground details (bones, rocks, holes,...)
	unsigned char clifftype;  // cliff texture
	unsigned char layer;   // tilepoint layer
};